SystemOrganization addCategory: #'Zinc-System-Support'!

!SmalltalkImage methodsFor: '*Zinc-System-Support' stamp: 'MarcusDenker 5/7/2013 13:34'!
downloadSources
	"Try downloading the sources file from 2 different locations to the shared directory.
	Be silent when this does not work: a missing sources will be triggered later on.
	For now, use the VM directory."
	
	| sharedDirectory |
	self shouldDownloadSourcesFile ifFalse: [ ^ self ].
	sharedDirectory := self vmDirectory.
	self sourcesDownloadClient
		url: 'http://files.pharo.org/sources/PharoV20.sources';
		downloadTo: sharedDirectory;
		close.
	(sharedDirectory / self sourcesFile basename) exists
		ifTrue: [ ^ self ].
	self sourcesDownloadClient
		url: 'http://stfx.eu/PharoV20.sources';
		downloadTo: sharedDirectory;
		close.
		
		
	! !

!SmalltalkImage methodsFor: '*Zinc-System-Support' stamp: 'SvenVanCaekenberghe 2/11/2013 14:26'!
sourcesDownloadClient
	"Return a new HTTP client to download a sources file.
	Enforce success, but be silent when something goes wrong.
	Ask for gzip content encoding to improve download speed."
	
	^ ZnClient new
		systemPolicy;
		accept: ZnMimeType textPlain;
		ifFail: [ :exception | "ignore" ];
		setAcceptEncodingGzip;
		yourself! !
